Bug 983577 - [RFE][neutron]: support automatic disassociation of floating IPs
[RFE][neutron]: support automatic disassociation of floating IPs
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs (Show other bugs)
Unspecified Unspecified
low Severity high
: ---
: ---
Assigned To: RHOS Maint
upstream_milestone_next upstream_stat...
: FutureFeature
Depends On: 988874
  Show dependency treegraph
Reported: 2013-07-11 09:52 EDT by Brent Eagles
Modified: 2016-04-26 15:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-03-23 12:28:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brent Eagles 2013-07-11 09:52:34 EDT
Havana adds per-network automatic addition and removal of floating IP associations in neutron. This is a "finer-grain" control improvement over the system wide configuration that currently exists.

Comment 2 Brent Eagles 2013-08-15 12:53:25 EDT
The ability to "auto-associate" has been moved off of havana. The work on disassociate still seems to be in progress. While I had paired the two blueprints together as they are functionally complimentary, they are quite different with respect to complexity of implementation. Automatically diassociating an IP is relatively straightforward. 

The general step to testing this would be to associate an IP with a VM and then delete the vm. Running "quantum floatingip-list" should show that the floatingip is no longer associated with a fixed ip address.

I'm altering the title of this bz to reflect the change in scope detail.
Comment 3 Brent Eagles 2013-09-05 10:22:12 EDT
Set to next upstream
Comment 5 lpeer 2014-01-02 04:06:32 EST
The feature is not targeted to Icehouse.
updating the bug to reflect u/s status

Note You need to log in before you can comment on or make changes to this bug.